Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.expr.flwor
Class GroupByClausePush

    java.lang.Object
      net.sf.saxon.expr.flwor.TuplePush
          com.saxonica.expr.flwor.GroupByClausePush

    public class GroupByClausePush

extends TuplePush

Represents the tuple stream delivered by an "group by" clause. This groups the tuple stream supplied as its input, and outputs a new set of tuples one per group of the input tuples. No groups are output until all the groups have been read.

Constructor Summary
`GroupByClausePush(TuplePush destination, GroupByClause groupBy, XPathContext context)`

Method Summary
`void` | `close()` Close the tuple stream, indicating that although not all tuples have been read, no further tuples are required and resources can be released
`void` | `processTuple(XPathContext context)` Move on to the next tuple.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroupByClausePush

    public GroupByClausePush(TuplePush destination,
                             GroupByClause groupBy,
                             XPathContext context)

Method Detail

### processTuple

    public void processTuple(XPathContext context)
                      throws XPathException

  Move on to the next tuple. Before returning, this method must set all the variables corresponding to the "returned" tuple in the local stack frame associated with the context object

  Specified by:
    `processTuple` in class `TuplePush`
  Parameters:
    `context` - the dynamic evaluation context
  Throws:
    `XPathException` - if a dynamic error occurs

### close

    public void close()
               throws XPathException

  Close the tuple stream, indicating that although not all tuples have been read, no further tuples are required and resources can be released

  Overrides:
    `close` in class `TuplePush`
  Throws:
    `XPathException` - if a dynamic error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.